Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class XMLAttribute

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.qtcomponents.XMLAttribute

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class XMLAttribute
extends QTObject
implements quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib

The XMLAttribute corresponds to the QuickTime XMLAttribute

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`boolean` | `getBoolean()` returns the boolean value of the XMLAttribute for valueKind attributeValueKindBoolean
`java.lang.String` | `getCharString()` returns the string of the XMLAttribute for valueKind attributeValueKindCharString
`int` | `getEnum()` returns the enumerated value of the XMLAttribute for value kind attributeValueKindEnum or
`int` | `getIdentifier()` returns the tokenized identifier of the XMLAttribute if the attribute name was recognized by the parser
`int` | `getInteger()` returns the int value of the XMLAttribute for valueKind attributeValueKindInteger
`java.lang.String` | `getName()` returns the attribute name of the XMLAttribute if not recognized by the parser
`boolean` | `getOnOff()` returns the boolean value of the XMLAttribute for valueKind attributeValueKindOnOff
`int` | `getPercent()` *jcs* Is this a integer percent or some weird Fixed / float rep ??? returns the percent value of the XMLAttribute for valueKind attributeValueKindPercent
`QDColor` | `getRGBColor()` returns a QDColor of the XMLAttribute for value kind attributeValueKindColor
`int` | `getValueKind()` returns the valueKind of the XMLAttribute should be called before a getter for a particular type
`java.lang.String` | `getValueString()` returns the valueString of the XMLAttribute always available
`boolean` | `identifierUnrecognized()` returns true if the attribute name of the XMLAttribute was not recognized by the parser

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### identifierUnrecognized

    public boolean identifierUnrecognized()

  returns true if the attribute name of the XMLAttribute was not recognized by the parser

### getIdentifier

    public int getIdentifier()
                      throws StdQTException

  returns the tokenized identifier of the XMLAttribute if the attribute name was recognized by the parser
  Throws:
    `if` - tokenized identifier is xmlIdentifierUnrecognized

### getName

    public java.lang.String getName()
                             throws StdQTException,
                                    UtilException

  returns the attribute name of the XMLAttribute if not recognized by the parser
  Throws:
    `if` - tokenized identifier is not xmlIdentifierUnrecognized

### getValueKind

    public int getValueKind()
                     throws StdQTException

  returns the valueKind of the XMLAttribute should be called before a getter for a particular type

### getValueString

    public java.lang.String getValueString()
                                    throws StdQTException,
                                           UtilException

  returns the valueString of the XMLAttribute always available

### getCharString

    public java.lang.String getCharString()
                                   throws StdQTException

  returns the string of the XMLAttribute for valueKind attributeValueKindCharString
  Throws:
    `if` - value kind is not attributeValueKindCharString

### getInteger

    public int getInteger()
                   throws StdQTException

  returns the int value of the XMLAttribute for valueKind attributeValueKindInteger
  Throws:
    `if` - value kind is not attributeValueKindInteger

### getPercent

    public int getPercent()
                   throws StdQTException

  *jcs* Is this a integer percent or some weird Fixed / float rep ??? returns the percent value of the XMLAttribute for valueKind attributeValueKindPercent
  Throws:
    `if` - value kind is not attributeValueKindPercent

### getBoolean

    public boolean getBoolean()
                       throws StdQTException

  returns the boolean value of the XMLAttribute for valueKind attributeValueKindBoolean
  Throws:
    `if` - value kind is not attributeValueKindBoolean

### getOnOff

    public boolean getOnOff()
                     throws StdQTException

  returns the boolean value of the XMLAttribute for valueKind attributeValueKindOnOff
  Throws:
    `if` - value kind is not attributeValueKindOnOff

### getRGBColor

    public QDColor getRGBColor()
                        throws StdQTException

  returns a QDColor of the XMLAttribute for value kind attributeValueKindColor
  Throws:
    `if` - value kind is not attributeValueKindColor

### getEnum

    public int getEnum()
                throws StdQTException

  returns the enumerated value of the XMLAttribute for value kind attributeValueKindEnum or
  Throws:
    `if` - value kind is not attributeValueKindEnum nor attributeValueKindCaseSensEnum

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD